Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Groovy] Class ResolvedArtifactReport

    java.lang.Object
      org.codehaus.groovy.grails.resolve.ResolvedArtifactReport

    @groovy.transform.Canonical
    @groovy.transform.ToString
    class ResolvedArtifactReport
    extends java.lang.Object

Used to represent a resolved artifact (downloaded and cached) in the dependency resolution system

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`Dependency` | `dependency` @return The dependency
`java.io.File` | `file` @return The file for this dependency

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### dependency

    Dependency dependency

  Returns:
    The dependency

### file

    java.io.File file

  Returns:
    The file for this dependency

Groovy Documentation